Package org.eclipse.lemminx.extensions.relaxng.grammar.rng

## Class RNGValidator

- java.lang.Object
- - org.eclipse.lemminx.extensions.relaxng.grammar.rng.RNGValidator

    public class RNGValidator
    extends Object

RNG validator utilities class.

### Constructor Summary

Constructors
`RNGValidator()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `doDiagnostics​(DOMDocument document, org.apache.xerces.xni.parser.XMLEntityResolver entityResolver, List<org.eclipse.lsp4j.Diagnostic> diagnostics, XMLValidationSettings validationSettings, ContentModelManager contentModelManager, org.eclipse.lsp4j.jsonrpc.CancelChecker monitor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RNGValidator

    public RNGValidator()

### Method Detail

#### doDiagnostics

    public static void doDiagnostics​(DOMDocument document,
                                     org.apache.xerces.xni.parser.XMLEntityResolver entityResolver,
                                     List<org.eclipse.lsp4j.Diagnostic> diagnostics,
                                     XMLValidationSettings validationSettings,
                                     ContentModelManager contentModelManager,
                                     org.eclipse.lsp4j.jsonrpc.CancelChecker monitor)